Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1378341 - Review Request: fedpkg-copr - copr dist-git client
Summary: Review Request: fedpkg-copr - copr dist-git client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-22 08:13 UTC by clime
Modified: 2017-01-06 05:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-05 18:47:08 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description clime 2016-09-22 08:13:47 UTC
Spec URL: http://clime.cz/fedpkg-copr.spec
SRPM URL: http://clime.cz/fedpkg-copr-0.6-1.fc23.src.rpm

Description: 

COPR dist-git client based on fedpkg. Used by copr-backend.service to fetch srpms. copr-backend package is already in Fedora and it requires this package.


Fedora Account System Username: clime

Comment 1 Neal Gompa 2016-09-23 03:10:44 UTC
Taking this review

Comment 2 Neal Gompa 2016-09-23 21:24:16 UTC
The general form of the spec looks fine, but you're missing buildrequires.

Running fedora-review caused it to bomb out because "a2x" was not found. Please review your build-time requirements and fix your spec.

Comment 3 clime 2016-09-29 14:50:22 UTC
Thanks. Updated versions:

Spec URL: http://clime.cz/fedpkg-copr.spec
SRPM URL: http://clime.cz/fedpkg-copr-0.8-1.fc23.src.rpm

Comment 4 Neal Gompa 2016-09-29 16:22:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in
     /home/makerpm/1378341-fedpkg-copr/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fedpkg-copr-0.8-1.fc26.noarch.rpm
          fedpkg-copr-0.8-1.fc26.src.rpm
fedpkg-copr.noarch: W: spelling-error %description -l en_US repos -> ropes, reps, repose
fedpkg-copr.src: W: spelling-error %description -l en_US repos -> ropes, reps, repose
fedpkg-copr.src: W: invalid-url Source0: fedpkg-copr-0.8.tar.gz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
fedpkg-copr.noarch: W: spelling-error %description -l en_US repos -> ropes, reps, repose
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
fedpkg-copr (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(fedpkg-copr)
    fedpkg



Provides
--------
fedpkg-copr:
    config(fedpkg-copr)
    fedpkg-copr



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1378341 --mock-config fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Neal Gompa 2016-09-29 16:26:41 UTC
Looks good to me.

PACKAGE APPROVED

Comment 6 Gwyn Ciesla 2016-10-04 12:23:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fedpkg-copr

Comment 7 Fedora Update System 2016-10-06 20:58:44 UTC
fedpkg-copr-0.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-21a1ea762d

Comment 8 Fedora Update System 2016-10-07 08:49:26 UTC
fedpkg-copr-0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-17f1f95ea4

Comment 9 Fedora Update System 2016-10-07 09:25:16 UTC
fedpkg-copr-0.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92a03c1402

Comment 10 Fedora Update System 2016-10-07 09:58:43 UTC
fedpkg-copr-0.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b568bb6cfc

Comment 11 Fedora Update System 2016-10-08 14:17:15 UTC
fedpkg-copr-0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ab504758f0

Comment 12 Fedora Update System 2016-12-05 23:23:03 UTC
fedpkg-copr-0.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b6f89fa8e6

Comment 13 Fedora Update System 2016-12-05 23:23:10 UTC
fedpkg-copr-0.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce23deaaaa

Comment 14 Fedora Update System 2016-12-05 23:23:15 UTC
fedpkg-copr-0.10-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cce295511

Comment 15 Fedora Update System 2016-12-05 23:23:20 UTC
fedpkg-copr-0.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-72238a350a

Comment 16 Fedora Update System 2016-12-05 23:23:25 UTC
fedpkg-copr-0.10-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d894856c70

Comment 17 Fedora Update System 2016-12-07 01:49:21 UTC
fedpkg-copr-0.10-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d894856c70

Comment 18 Fedora Update System 2016-12-07 02:22:00 UTC
fedpkg-copr-0.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-72238a350a

Comment 19 Fedora Update System 2016-12-07 02:26:43 UTC
fedpkg-copr-0.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce23deaaaa

Comment 20 Fedora Update System 2016-12-07 02:57:48 UTC
fedpkg-copr-0.10-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cce295511

Comment 21 Fedora Update System 2016-12-07 08:17:53 UTC
fedpkg-copr-0.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b6f89fa8e6

Comment 22 Fedora Update System 2017-01-05 18:47:08 UTC
fedpkg-copr-0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-01-05 20:21:10 UTC
fedpkg-copr-0.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-01-06 04:04:06 UTC
fedpkg-copr-0.10-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-01-06 05:05:18 UTC
fedpkg-copr-0.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.